[**@rxap/form-system v19.0.4-dev.0**](../README.md)

***

[@rxap/form-system](../globals.md) / FormArrayItemRestoreButtonDirective

# Class: FormArrayItemRestoreButtonDirective

Defined in: [packages/angular/form-system/src/lib/directives/array/form-array-item-restore-button.directive.ts:14](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/array/form-array-item-restore-button.directive.ts#L14)

## Extends

- [`FormArrayItemButton`](FormArrayItemButton.md)

## Implements

- `AfterViewInit`
- `OnDestroy`

## Constructors

### new FormArrayItemRestoreButtonDirective()

> **new FormArrayItemRestoreButtonDirective**(`parent`, `matButton`, `renderer`, `elementRef`): [`FormArrayItemRestoreButtonDirective`](FormArrayItemRestoreButtonDirective.md)

Defined in: [packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts:38](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts#L38)

#### Parameters

##### parent

`ControlContainer`

##### matButton

`MatButton`

##### renderer

`Renderer2`

##### elementRef

`ElementRef`

#### Returns

[`FormArrayItemRestoreButtonDirective`](FormArrayItemRestoreButtonDirective.md)

#### Inherited from

[`FormArrayItemButton`](FormArrayItemButton.md).[`constructor`](FormArrayItemButton.md#constructors)

## Properties

### deletedControl

> `protected` **deletedControl**: `RxapFormControl`\<`boolean`\>

Defined in: [packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts:34](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts#L34)

#### Inherited from

[`FormArrayItemButton`](FormArrayItemButton.md).[`deletedControl`](FormArrayItemButton.md#deletedcontrol)

***

### elementRef

> `protected` `readonly` **elementRef**: `ElementRef`

Defined in: [packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts:42](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts#L42)

#### Inherited from

[`FormArrayItemButton`](FormArrayItemButton.md).[`elementRef`](FormArrayItemButton.md#elementref-1)

***

### formArray

> `protected` **formArray**: `RxapFormArray`

Defined in: [packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts:33](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts#L33)

#### Inherited from

[`FormArrayItemButton`](FormArrayItemButton.md).[`formArray`](FormArrayItemButton.md#formarray)

***

### formGroup

> `protected` **formGroup**: `RxapFormGroup`\<\{ `deleted`: `boolean`; \}\>

Defined in: [packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts:32](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts#L32)

#### Inherited from

[`FormArrayItemButton`](FormArrayItemButton.md).[`formGroup`](FormArrayItemButton.md#formgroup)

***

### matButton

> `protected` `readonly` **matButton**: `MatButton`

Defined in: [packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts:40](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts#L40)

#### Inherited from

[`FormArrayItemButton`](FormArrayItemButton.md).[`matButton`](FormArrayItemButton.md#matbutton-1)

***

### parent

> `protected` `readonly` **parent**: `ControlContainer`

Defined in: [packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts:39](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts#L39)

#### Inherited from

[`FormArrayItemButton`](FormArrayItemButton.md).[`parent`](FormArrayItemButton.md#parent-1)

***

### renderer

> `protected` `readonly` **renderer**: `Renderer2`

Defined in: [packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts:41](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts#L41)

#### Inherited from

[`FormArrayItemButton`](FormArrayItemButton.md).[`renderer`](FormArrayItemButton.md#renderer-1)

***

### type

> **type**: `string` = `'button'`

Defined in: [packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts:31](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts#L31)

#### Inherited from

[`FormArrayItemButton`](FormArrayItemButton.md).[`type`](FormArrayItemButton.md#type)

## Accessors

### disabled

#### Get Signature

> **get** **disabled**(): `boolean`

Defined in: [packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts:47](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts#L47)

##### Returns

`boolean`

#### Inherited from

[`FormArrayItemButton`](FormArrayItemButton.md).[`disabled`](FormArrayItemButton.md#disabled)

***

### index

#### Get Signature

> **get** **index**(): `number`

Defined in: [packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts:55](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts#L55)

##### Returns

`number`

#### Inherited from

[`FormArrayItemButton`](FormArrayItemButton.md).[`index`](FormArrayItemButton.md#index)

***

### isDeleted

#### Get Signature

> **get** **isDeleted**(): `boolean`

Defined in: [packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts:51](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts#L51)

##### Returns

`boolean`

#### Inherited from

[`FormArrayItemButton`](FormArrayItemButton.md).[`isDeleted`](FormArrayItemButton.md#isdeleted)

***

### isDisabled

#### Get Signature

> **get** `protected` **isDisabled**(): `boolean`

Defined in: [packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts:59](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts#L59)

##### Returns

`boolean`

#### Inherited from

[`FormArrayItemButton`](FormArrayItemButton.md).[`isDisabled`](FormArrayItemButton.md#isdisabled)

## Methods

### ngAfterViewInit()

> **ngAfterViewInit**(): `void`

Defined in: [packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts:63](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts#L63)

A callback method that is invoked immediately after
Angular has completed initialization of a component's view.
It is invoked only once when the view is instantiated.

#### Returns

`void`

#### Implementation of

`AfterViewInit.ngAfterViewInit`

#### Inherited from

[`FormArrayItemButton`](FormArrayItemButton.md).[`ngAfterViewInit`](FormArrayItemButton.md#ngafterviewinit)

***

### ngOnDestroy()

> **ngOnDestroy**(): `void`

Defined in: [packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts:94](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts#L94)

A callback method that performs custom clean-up, invoked immediately
before a directive, pipe, or service instance is destroyed.

#### Returns

`void`

#### Implementation of

`OnDestroy.ngOnDestroy`

#### Inherited from

[`FormArrayItemButton`](FormArrayItemButton.md).[`ngOnDestroy`](FormArrayItemButton.md#ngondestroy)

***

### onClick()

> **onClick**(): `void`

Defined in: [packages/angular/form-system/src/lib/directives/array/form-array-item-restore-button.directive.ts:17](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/array/form-array-item-restore-button.directive.ts#L17)

#### Returns

`void`

#### Overrides

[`FormArrayItemButton`](FormArrayItemButton.md).[`onClick`](FormArrayItemButton.md#onclick)

***

### updateDisplayStyle()

> **updateDisplayStyle**(): `void`

Defined in: [packages/angular/form-system/src/lib/directives/array/form-array-item-restore-button.directive.ts:21](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/array/form-array-item-restore-button.directive.ts#L21)

#### Returns

`void`

#### Overrides

[`FormArrayItemButton`](FormArrayItemButton.md).[`updateDisplayStyle`](FormArrayItemButton.md#updatedisplaystyle)
